Subject: RE: [Sipping] Telling a proxy which service to execute

From: "Elwell, John" <[email-masked]>
Date: Wed, 02 Nov 2005 20:18:26 +0000

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]] 
> Sent: 02 November 2005 20:12
> To: Gonzalo Camarillo; sipping
> Cc: Elwell, John
> Subject: RE: [Sipping] Telling a proxy which service to execute
> 
> > It has been proposed (in 
> > draft-elwell-sipping-service-retargeting-00.txt) to use URI 
> > parameters 
> > for that. This approach has been compared by some in the 
> list to the 
> > approach followed by netann (draft-burger-sipping-netann-11.txt).
> > 
> > It is worthwhile noting that using URI parameters to convey service 
> > information (on any type of information) has an important 
> problem. If 
> > the request traverses a proxy that does not understand the URI 
> > parameter, the URI parameter may be removed. That is the 
> > reason why we 
> > moved away from URI parameters to implement URI-list 
> services (a.k.a. 
> > exploders).
> 
> If a proxy arbitrarily removes parameters, it will cause lots of
> problems
> (including with Netann).
> 
> However, if the proxy retargets for whatever reason, I agree with you
> that
> the expectation would be for the parameters to be lost. 
>
[JRE] But that is where history-info comes in, because if the URI is
recorded in history-info then it is not completely lost. 

John

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 02 Nov 2005 22:57:42 -0500

> recorded in history-info then it is not completely lost. 

At this point I think we have come full circle.

It has been said that H-I, without service-retargetting can satisfy the 
needs of servers that are willing/able to figure out what they should do 
based on what has happened. The service-retargetting approach has been 
described as a variant of netann - a way to explicitly tell a server 
what you want it to do rather than have it guess based on history.

Now you want to say that problems with service-retargetting can be 
solved by using H-I. But if that is acceptable, then just using H-I 
without service-retargetting should also be acceptable.

Personally I think netann by itself (without service-retargetting) is 
fine for those cases when, as it assumes, you *know* the uri identifies 
the target and won't need translation.

When designing a new, fully sip based, system I think it can be 
structured in such a way that netann is sufficient. (But of course some 
may not *want* to structure their system that way.)

It does seem that there are lots of legacy systems that are structured 
on the assumption that services will figure out what they should do 
based on information about what has happened. I don't suppose we can 
totally ignore them. However that seems to be what H-I is intended for.

Given that we have both of these mechanisms already defined, why do we 
need more?

	Paul